=== debian/control ===
Source: ungoogled-chromium
Section: web
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Daniel Richard G. <skunk@iSKUNK.ORG>
# XSBC-Original-Maintainer: Daniel Richard G. <skunk@iSKUNK.ORG>
Vcs-Browser: https://salsa.debian.org/chromium-team/chromium
Vcs-Git: https://salsa.debian.org/chromium-team/chromium.git
Homepage: http://www.chromium.org/Home
Standards-Version: 4.5.0
Rules-Requires-Root: no
Build-Depends: debhelper (>= 11),
#                bindgen:native,
               bison,
               ca-certificates,
               clang-19:native,
               clang-format-19:native,
               cross-exe-wrapper <cross>,
               devscripts,
               flex,
               fonts-ipafont-gothic,
               fonts-ipafont-mincho,
               generate-ninja:native,
               gperf,
               libasound2-dev,
               libc++-19-dev,
               libcap-dev,
               libclang-rt-19-dev,
               libcups2-dev,
               libcurl4-openssl-dev,
               libdav1d-dev,
               libdouble-conversion-dev,
               libegl1-mesa-dev,
               libelf-dev,
               libevdev-dev,
               libexif-dev,
               libffi-dev,
               libflac-dev,
               libgbm-dev,
               libgcrypt20-dev,
               libgl-dev,
               libgles2-mesa-dev,
               libglib2.0-dev,
               libglu1-mesa-dev,
               libgtk-3-dev,
               libharfbuzz-dev,
               libhunspell-dev,
               libjpeg-dev,
               libkrb5-dev,
               liblcms2-dev,
               libminizip-dev,
               libnspr4-dev,
               libnss3-dev,
               libopenh264-dev,
               libopenjp2-7-dev,
               libopus-dev,
               libpam0g-dev,
               libpci-dev,
               libpipewire-0.3-dev,
               libpng-dev,
               libpulse-dev,
               libsecret-1-dev,
               libspeechd-dev,
               rustc:any (>= 1.84),
               libstd-rust-dev (>= 1.84),
               bindgen:native,
               libudev-dev,
               libusb-1.0-0-dev,
               libva-dev,
               libx11-xcb-dev,
               libxcb-dri3-dev,
               libxml2-dev,
               libxnvctrl-dev,
               libxshmfence-dev,
               libxslt1-dev,
               libxss-dev,
               libxt-dev,
               libxtst-dev,
               libzstd-dev,
               lld-19:native,
               llvm-19:native,
               mesa-common-dev,
               ninja-build,
               node-rollup-plugin-terser:native,
               nodejs:any,
               pkgconf,
               python3-jinja2:native,
               python3:any,
               rapidjson-dev,
               rollup,
#               rustc-1.85:any | rustc,
               valgrind,
               wdiff,
               wget,
               xcb-proto,
               xfonts-base,
               xvfb,
               xz-utils
Build-Conflicts: bindgen-0.56, bindgen-0.65, rustc-1.74

Package: ungoogled-chromium
Architecture: amd64 arm64 armhf i386 ppc64el
Depends: libgtk-3-0 | xdg-desktop-portal-backend,
         ungoogled-chromium-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: ungoogled-chromium-sandbox
Suggests: ungoogled-chromium-driver,
          ungoogled-chromium-l10n,
          ungoogled-chromium-shell
Conflicts: libgl1-mesa-swx11, libnettle4, libsecret-1-0 (<< 0.18)
Breaks: ungoogled-chromium-lwn4chrome (<= 1.0-2),
        ungoogled-chromium-tt-rss-notifier (<= 0.5.2-2)
Provides: gnome-www-browser, www-browser
Built-Using: ${Built-Using}
Description: web browser
 Web browser that aims to build a safer, faster, and more stable internet
 browsing experience.
 .
 This package contains the web browser component.

Package: ungoogled-chromium-l10n
Section: localization
Architecture: all
Depends: ungoogled-chromium (<< ${source:Version}.1~),
         ungoogled-chromium (>= ${source:Version}),
         ${misc:Depends}
Description: web browser - language packs
 Web browser that aims to build a safer, faster, and more stable internet
 browsing experience.
 .
 This package contains language packages for:
 am, ar, bg, bn, ca, cs, da, de, el, en-GB, es-419, es, et, fi, fil, fr, gu, he,
 hi, hr, hu, id, it, ja, kn, ko, lt, lv, ml, mr, nb, nl, pl, pt-BR, pt-PT,
 ro, ru, sk, sl, sr, sv, sw, ta, te, th, tr, uk, vi, zh-CN, zh-TW

Package: ungoogled-chromium-shell
Architecture: amd64 arm64 armhf i386 ppc64el
Depends: ungoogled-chromium-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: ungoogled-chromium (<< ${binary:Version})
Replaces: ungoogled-chromium (<< ${binary:Version})
Description: web browser - minimal shell
 Web browser that aims to build a safer, faster, and more stable internet
 browsing experience.
 .
 This package provides a minimal version of the chromium user interface
 (the content shell).

Package: ungoogled-chromium-headless-shell
Architecture: amd64 arm64 armhf i386 ppc64el
Depends: ungoogled-chromium-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: web browser - old headless shell
 Web browser that aims to build a safer, faster, and more stable internet
 browsing experience.
 .
 This package provides a headless (no GUI) version of the chromium browser,
 which can be useful for doing things like generating PDFs. It is
 equivalent to the 'chromium --headless=old' option that was removed.

Package: ungoogled-chromium-driver
Architecture: amd64 arm64 armhf i386 ppc64el
Depends: ungoogled-chromium (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: web browser - WebDriver support
 Web browser that aims to build a safer, faster, and more stable internet
 browsing experience.
 .
 This package provides a bridge between the browser component and the selenium
 automatic webdriver.

Package: ungoogled-chromium-common
Architecture: amd64 arm64 armhf i386 ppc64el
Depends: x11-utils, xdg-utils, ${misc:Depends}, ${shlibs:Depends}
Recommends: fonts-liberation,
            libgl1-mesa-dri,
            notification-daemon,
            system-config-printer,
            udev,
            ungoogled-chromium-sandbox,
            upower
Breaks: ungoogled-chromium (<< ${binary:Version})
Replaces: ungoogled-chromium (<< ${binary:Version})
Description: web browser - common resources used by the chromium packages
 Web browser that aims to build a safer, faster, and more stable internet
 browsing experience.
 .
 This package contains resources that are in common to different chromium
 packages.

Package: ungoogled-chromium-sandbox
Architecture: amd64 arm64 armhf i386 ppc64el
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ungoogled-chromium (<< ${binary:Version})
Replaces: ungoogled-chromium (<< ${binary:Version})
Description: web browser - setuid security sandbox for chromium
 Web browser that aims to build a safer, faster, and more stable internet
 browsing experience.
 .
 This package contains the setuid chromium sandbox.
