=== debian/control ===
--- 
+++ 
@@ -3,14 +3,13 @@
 Priority: optional
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Daniel Richard G. <skunk@iSKUNK.ORG>
-# XSBC-Original-Maintainer: Daniel Richard G. <skunk@iSKUNK.ORG>
 Vcs-Browser: https://salsa.debian.org/chromium-team/chromium
 Vcs-Git: https://salsa.debian.org/chromium-team/chromium.git
 Homepage: http://www.chromium.org/Home
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Build-Depends: debhelper (>= 11),
-#                bindgen:native,
+               bindgen:native,
                bison,
                ca-certificates,
                clang-19:native,
@@ -61,9 +60,6 @@
                libpulse-dev,
                libsecret-1-dev,
                libspeechd-dev,
-               rustc:any (>= 1.84),
-               libstd-rust-dev (>= 1.84),
-               bindgen:native,
                libudev-dev,
                libusb-1.0-0-dev,
                libva-dev,
@@ -77,6 +73,7 @@
                libxt-dev,
                libxtst-dev,
                libzstd-dev,
+               linux-libc-dev (>= 6.5),
                lld-19:native,
                llvm-19:native,
                mesa-common-dev,
@@ -88,8 +85,9 @@
                python3:any,
                rapidjson-dev,
                rollup,
-#               rustc-1.85:any | rustc,
-               valgrind,
+               rustc:any (>= 1.84),
+               libstd-rust-dev (>= 1.84),
+               valgrind [!loong64],
                wdiff,
                wget,
                xcb-proto,
@@ -99,12 +97,12 @@
 Build-Conflicts: bindgen-0.56, bindgen-0.65, rustc-1.74
 
 Package: ungoogled-chromium
-Architecture: amd64 arm64 armhf i386 ppc64el
-Depends: libgtk-3-0 | xdg-desktop-portal-backend,
+Architecture: amd64 arm64 armhf i386 loong64 ppc64el
+Depends: libgtk-3-0t64 | xdg-desktop-portal-backend,
          ungoogled-chromium-common (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: ungoogled-chromium-sandbox
+         ungoogled-chromium-sandbox,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Suggests: ungoogled-chromium-driver,
           ungoogled-chromium-l10n,
           ungoogled-chromium-shell
@@ -135,7 +133,7 @@
  ro, ru, sk, sl, sr, sv, sw, ta, te, th, tr, uk, vi, zh-CN, zh-TW
 
 Package: ungoogled-chromium-shell
-Architecture: amd64 arm64 armhf i386 ppc64el
+Architecture: amd64 arm64 armhf i386 loong64 ppc64el
 Depends: ungoogled-chromium-common (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -149,7 +147,7 @@
  (the content shell).
 
 Package: ungoogled-chromium-headless-shell
-Architecture: amd64 arm64 armhf i386 ppc64el
+Architecture: amd64 arm64 armhf i386 loong64 ppc64el
 Depends: ungoogled-chromium-common (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -162,7 +160,7 @@
  equivalent to the 'chromium --headless=old' option that was removed.
 
 Package: ungoogled-chromium-driver
-Architecture: amd64 arm64 armhf i386 ppc64el
+Architecture: amd64 arm64 armhf i386 loong64 ppc64el
 Depends: ungoogled-chromium (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -174,7 +172,7 @@
  automatic webdriver.
 
 Package: ungoogled-chromium-common
-Architecture: amd64 arm64 armhf i386 ppc64el
+Architecture: amd64 arm64 armhf i386 loong64 ppc64el
 Depends: x11-utils, xdg-utils, ${misc:Depends}, ${shlibs:Depends}
 Recommends: fonts-liberation,
             libgl1-mesa-dri,
@@ -193,7 +191,7 @@
  packages.
 
 Package: ungoogled-chromium-sandbox
-Architecture: amd64 arm64 armhf i386 ppc64el
+Architecture: amd64 arm64 armhf i386 loong64 ppc64el
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: ungoogled-chromium (<< ${binary:Version})
 Replaces: ungoogled-chromium (<< ${binary:Version})
