=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,9 @@
 ifeq (armhf,$(DEB_HOST_ARCH))
 # avoid "argument unused during compilation" warnings on armhf
 arg_hardening = +all,-stackclash
+else ifeq (loong64,$(DEB_HOST_ARCH))
+# avoid page crashing on loong64
+arg_hardening = +all,-stackprotector
 else
 # enable all build hardening flags
 arg_hardening = +all
@@ -38,6 +41,11 @@
 
 # initial flags from dpkg-buildflags
 export DEB_CXXFLAGS_MAINT_STRIP=-g
+ifneq ($(filter armhf,$(DEB_HOST_ARCH)),)
+# clang gives us "argument unused during compilation" warnings for these
+export   DEB_CFLAGS_MAINT_STRIP+=-fno-stack-clash-protection
+export DEB_CXXFLAGS_MAINT_STRIP+=-fno-stack-clash-protection
+endif
 export CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) -stdlib=libc++
 export LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS) -stdlib=libc++ -static-libstdc++
 
@@ -87,10 +95,13 @@
 defines+=host_cpu=\"x64\" use_vaapi=true
 endif
 ifeq (arm64,$(DEB_HOST_ARCH))
-defines+=host_cpu=\"arm64\" use_vaapi=true
+defines+=host_cpu=\"arm64\" use_v4l2_codec=true use_vaapi=false
+# use_av1_hw_decoder is enabled by default for vaapi, but disabled for
+# v4l2, we can remove it when chromium enables it for v4l2 by default
+defines+=use_av1_hw_decoder=true
 endif
 ifeq (armhf,$(DEB_HOST_ARCH))
-defines+=host_cpu=\"arm\" use_vaapi=false arm_use_neon=true
+defines+=host_cpu=\"arm\" use_v4l2_codec=true use_vaapi=false arm_use_neon=true
 endif
 ifeq (ppc64el,$(DEB_HOST_ARCH))
 defines+=host_cpu=\"ppc64\" use_vaapi=true
@@ -98,6 +109,11 @@
 
 # final link takes >150m, don't let Launchpad kill the build prematurely
 keepalive=debian/scripts/keepalive-wrapper.py 7200
+ifeq (loong64,$(DEB_HOST_ARCH))
+# Use libffi from system for loong64 to pass build
+# xnnpack doesn't support loongarch now, so disable it
+defines+=host_cpu=\"loong64\" use_system_libffi=true build_tflite_with_xnnpack=false use_vaapi=true
+endif
 
 ifdef cross_pkg_config
 defines+=pkg_config=\"$(cross_pkg_config)\"
@@ -141,6 +157,7 @@
          symbol_level=0 \
          use_pulseaudio=true \
          link_pulseaudio=true \
+         rtc_use_pipewire=true \
          icu_use_data_file=true \
          enable_widevine=true \
          v8_enable_backtrace=true \
@@ -208,20 +225,3 @@
 	cp out/Release/content_shell out/Release/chromium-shell
 	cp out/Release/headless_shell out/Release/chromium-headless-shell
 	cp out/Release/chrome_sandbox out/Release/chrome-sandbox
-	cp out/Release/chromedriver out/Release/ungoogled-chromedriver
-	cp out/Release/locales/en-US.pak out/Release/resources
-	chmod 4755 out/Release/chrome-sandbox # suid sandbox
-	sed -r -e 's,(\$HOME/\.[a-z]+/@@)PACKAGE(@@),\1CONFIGNAME\2,g' \
-	    -e s/@@CONFIGNAME@@/chromium/ \
-	    -e s/@@PACKAGE@@/ungoogled-chromium/g -e s/@@MENUNAME@@/ungoogled-chromium/g \
-	    < chrome/app/resources/manpage.1.in > out/Release/ungoogled-chromium.1
-
-override_dh_auto_build-indep:
-	gn gen out/Release --args="$(defines)"
-	ninja -j$(njobs) -C out/Release packed_resources
-	rm -f out/Release/locales/en-US.pak
-
-override_dh_auto_install-arch:
-	dh_auto_install
-	# update launcher script with build information
-	sed 's|@BUILD_DIST@|$(shell . /etc/os-release && echo "$$PRETTY_NAME")|' \
