## ungoogled-chromium 143.0.7499.169

=== debian/changelog ===
ungoogled-chromium (143.0.7499.169-1~mx25) mx; urgency=medium

  * Rebuild for MX Linux.
  * Adjust patchset applied for Trixie to avoid FTBFS.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 24 Dec 2025 18:48:00 -0800

ungoogled-chromium (143.0.7499.169-1.1xtradeb1.2404.1) noble; urgency=high

  * Apply ungoogled-chromium modifications.
  * <dummy_line>
  * XtraDeb conversion for Ubuntu 24.04/noble.

 -- Daniel Richard G. <skunk@iSKUNK.ORG>  Sat, 20 Dec 2025 20:58:11 -0500

chromium (143.0.7499.169-1) unstable; urgency=high

  [ Andres Salomon ]
  * New upstream security release.
    - CVE-2025-14765: Use after free in WebGPU. Reported by Anonymous.
    - CVE-2025-14766: Out of bounds read and write in V8.
      Reported by Shaheen Fazim.
  * d/rules: change (google-specific) upstream tarball url.

  [ Daniel Richard G. ]
  * d/control: Drop valgrind from Build-Depends:, as it appears unused.
  * d/patches/debianization/cross-build.patch: Update changes to the protoc
    wrapper to cover additional cases of non-emulated Python execution.
  * d/rules: Add a bug reference for the libffi issue.

 -- Andres Salomon <dilinger@debian.org>  Fri, 19 Dec 2025 21:44:43 -0500
