=== debian/control ===
--- 
+++ 
@@ -3,106 +3,110 @@
 Priority: optional
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Daniel Richard G. <skunk@iSKUNK.ORG>
+# XSBC-Original-Maintainer: Daniel Richard G. <skunk@iSKUNK.ORG>
 Vcs-Browser: https://salsa.debian.org/chromium-team/chromium
 Vcs-Git: https://salsa.debian.org/chromium-team/chromium.git
 Homepage: http://www.chromium.org/Home
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
-Build-Depends: debhelper (>= 11),
-               bindgen:native,
-               bison,
-               ca-certificates,
-               clang-19:native,
-               clang-format-19:native,
-               cross-exe-wrapper <cross>,
-               devscripts,
-               flex,
-               fonts-ipafont-gothic,
-               fonts-ipafont-mincho,
-               generate-ninja:native,
-               gperf,
-               libasound2-dev,
-               libc++-19-dev,
-               libcap-dev,
-               libclang-rt-19-dev,
-               libcups2-dev,
-               libcurl4-openssl-dev,
-               libdav1d-dev,
-               libdouble-conversion-dev,
-               libegl1-mesa-dev,
-               libelf-dev,
-               libevdev-dev,
-               libexif-dev,
-               libffi-dev,
-               libflac-dev,
-               libgbm-dev,
-               libgcrypt20-dev,
-               libgl-dev,
-               libgles2-mesa-dev,
-               libglib2.0-dev,
-               libglu1-mesa-dev,
-               libgtk-3-dev,
-               libharfbuzz-dev,
-               libhunspell-dev,
-               libjpeg-dev,
-               libkrb5-dev,
-               liblcms2-dev,
-               libminizip-dev,
-               libnspr4-dev,
-               libnss3-dev,
-               libopenh264-dev,
-               libopenjp2-7-dev,
-               libopus-dev,
-               libpam0g-dev,
-               libpci-dev,
-               libpipewire-0.3-dev,
-               libpng-dev,
-               libpulse-dev,
-               libsecret-1-dev,
-               libspeechd-dev,
-               libudev-dev,
-               libusb-1.0-0-dev,
-               libva-dev,
-               libx11-xcb-dev,
-               libxcb-dri3-dev,
-               libxml2-dev,
-               libxnvctrl-dev,
-               libxshmfence-dev,
-               libxslt1-dev,
-               libxss-dev,
-               libxt-dev,
-               libxtst-dev,
-               libzstd-dev,
-               linux-libc-dev (>= 6.5),
-               lld-19:native,
-               llvm-19:native,
-               mesa-common-dev,
-               ninja-build,
-               node-rollup-plugin-terser:native,
-               nodejs:any,
-               pkgconf,
-               python3-jinja2:native,
-               python3:any,
-               rapidjson-dev,
-               rollup,
-               rustc:any (>= 1.84),
-               libstd-rust-dev (>= 1.84),
-               valgrind [!loong64],
-               wdiff,
-               wget,
-               xcb-proto,
-               xfonts-base,
-               xvfb,
-               xz-utils
-Build-Conflicts: bindgen-0.56, bindgen-0.65, rustc-1.74
+Build-Depends:
+ debhelper (>= 11),
+ devscripts,
+ llvm-19:native,
+ lld-19:native,
+ clang-19:native,
+ clang-format-19:native,
+ libclang-rt-19-dev,
+ libc++-19-dev,
+ rustc:any (>= 1.84),
+ libstd-rust-dev (>= 1.84),
+ bindgen:native,
+ python3:any,
+ pkgconf,
+ ninja-build,
+ python3-jinja2:native,
+ ca-certificates,
+ wget,
+ flex,
+ xvfb,
+ wdiff,
+ gperf,
+ bison,
+ nodejs:any,
+ node-rollup-plugin-terser:native,
+ rollup,
+ xz-utils,
+ xcb-proto,
+ xfonts-base,
+ libdav1d-dev,
+ libx11-xcb-dev,
+ libxshmfence-dev,
+ libgl-dev,
+ libglu1-mesa-dev,
+ libegl1-mesa-dev,
+ libgles2-mesa-dev,
+ libopenh264-dev,
+ generate-ninja:native,
+ mesa-common-dev,
+ rapidjson-dev,
+ libva-dev,
+ libxt-dev,
+ libgbm-dev,
+ libpng-dev,
+ libxss-dev,
+ libelf-dev,
+ libpci-dev,
+ libcap-dev,
+ libffi-dev,
+ libkrb5-dev,
+ libexif-dev,
+ libflac-dev,
+ libudev-dev,
+ libpipewire-0.3-dev,
+ libopus-dev,
+ libxtst-dev,
+ libjpeg-dev,
+ libxml2-dev (>= 2.10),
+ libgtk-3-dev,
+ libxslt1-dev,
+ liblcms2-dev,
+ libpulse-dev,
+ libpam0g-dev,
+ libdouble-conversion-dev,
+ libxnvctrl-dev,
+ libglib2.0-dev,
+ libasound2-dev,
+ libsecret-1-dev,
+ libspeechd-dev,
+ libminizip-dev,
+ libhunspell-dev,
+ libharfbuzz-dev,
+ libxcb-dri3-dev,
+ libusb-1.0-0-dev,
+ libopenjp2-7-dev,
+ libnss3-dev,
+ libnspr4-dev,
+ libcups2-dev,
+ libevdev-dev,
+ libgcrypt20-dev,
+ libcurl4-openssl-dev,
+ libzstd-dev,
+ fonts-ipafont-gothic,
+ fonts-ipafont-mincho,
+ cross-exe-wrapper <cross>,
+ linux-libc-dev (>= 6.5),
+Build-Conflicts:
+ bindgen-0.56,
+ bindgen-0.65,
+ rustc-1.74,
 
 Package: ungoogled-chromium
 Architecture: amd64 arm64 armhf i386 loong64 ppc64el
 Depends: libgtk-3-0t64 | xdg-desktop-portal-backend,
          ungoogled-chromium-common (= ${binary:Version}),
-         ungoogled-chromium-sandbox,
-         ${misc:Depends},
-         ${shlibs:Depends}
+         ${misc:Depends},
+         ${shlibs:Depends},
+         ungoogled-chromium-sandbox
 Suggests: ungoogled-chromium-driver,
           ungoogled-chromium-l10n,
           ungoogled-chromium-shell
