=== debian/rules ===
--- 
+++ 
@@ -108,7 +108,7 @@
 endif
 
 # final link takes >150m, don't let Launchpad kill the build prematurely
-keepalive=debian/scripts/keepalive-wrapper.py 7200
+keepalive=debian/scripts/keepalive-wrapper.py 9000
 ifeq (loong64,$(DEB_HOST_ARCH))
 # Use libffi from system for loong64 to pass build
 # xnnpack doesn't support loongarch now, so disable it
