=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Daniel Richard G. <skunk@iSKUNK.ORG>
-# XSBC-Original-Maintainer: Daniel Richard G. <skunk@iSKUNK.ORG>
 Vcs-Browser: https://salsa.debian.org/chromium-team/chromium
 Vcs-Git: https://salsa.debian.org/chromium-team/chromium.git
 Homepage: http://www.chromium.org/Home
@@ -21,6 +20,7 @@
  rustc:any (>= 1.84),
  libstd-rust-dev (>= 1.84),
  bindgen:native,
+ rustfmt,
  python3:any,
  pkgconf,
  ninja-build,
@@ -105,8 +105,8 @@
 Depends: libgtk-3-0t64 | xdg-desktop-portal-backend,
          ungoogled-chromium-common (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
-         ungoogled-chromium-sandbox
+         ${shlibs:Depends}
+Recommends: ungoogled-chromium-sandbox
 Suggests: ungoogled-chromium-driver,
           ungoogled-chromium-l10n,
           ungoogled-chromium-shell
