=== debian/rules ===
--- 
+++ 
@@ -41,11 +41,6 @@
 
 # initial flags from dpkg-buildflags
 export DEB_CXXFLAGS_MAINT_STRIP=-g
-ifneq ($(filter armhf,$(DEB_HOST_ARCH)),)
-# clang gives us "argument unused during compilation" warnings for these
-export   DEB_CFLAGS_MAINT_STRIP+=-fno-stack-clash-protection
-export DEB_CXXFLAGS_MAINT_STRIP+=-fno-stack-clash-protection
-endif
 export CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) -stdlib=libc++
 export LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS) -stdlib=libc++ -static-libstdc++
 
@@ -72,7 +67,6 @@
 defines:=clang_use_chrome_plugins=false
 
 # use system rust
-export RUSTC_BOOTSTRAP=1
 export CLANG_MVERS:=$(shell $(CC) --version 2>/dev/null | sed -n 's/.* clang version //p' | cut -d. -f1)
 rust_sysroot=/usr
 defines+=rust_sysroot_absolute=\"$(rust_sysroot)\"
@@ -108,9 +102,9 @@
 endif
 
 # final link takes >150m, don't let Launchpad kill the build prematurely
-keepalive=debian/scripts/keepalive-wrapper.py 9000
+keepalive=debian/scripts/keepalive-wrapper.py 7200
 ifeq (loong64,$(DEB_HOST_ARCH))
-# Use libffi from system for loong64 to pass build
+# use shared libffi for loong64 to pass build (see bugs.debian.org/1107859)
 # xnnpack doesn't support loongarch now, so disable it
 defines+=host_cpu=\"loong64\" use_system_libffi=true build_tflite_with_xnnpack=false use_vaapi=true
 endif
@@ -146,6 +140,7 @@
          angle_build_tests=false \
          build_angle_perftests=false \
          treat_warnings_as_errors=false \
+         toolchain_supports_rust_thin_lto=false \
          clang_warning_suppression_file=\"\" \
          use_qt5=false use_qt6=false \
          is_cfi=false \
@@ -179,6 +174,12 @@
 njobs=$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 endif
 
+# whether to use ninja -v or not
+CR_VERBOSE=-v
+ifneq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
+	CR_VERBOSE=
+endif
+
 DIST := $(shell dpkg-parsechangelog -l debian/changelog  | sed -n 's/^Distribution: //p')
 
 %:
@@ -219,8 +220,8 @@
 	# Avoid chromium-shell -> libtest_trace_processor.so dependency
 	sed -i '/^  solibs =/s! \./libtest_trace_processor\.so!!' out/Release/obj/content/shell/content_shell.ninja
 	# XtraDeb workaround for https://crbug.com/40943790
-	ninja -j$(njobs) -C out/Release ui/webui/resources/cr_components/history_clusters:build_ts
-	$(keepalive) ninja -j$(njobs) -C out/Release chrome chrome_sandbox content_shell chromedriver headless_shell
+	ninja $(CR_VERBOSE) -j$(njobs) -C out/Release ui/webui/resources/cr_components/history_clusters:build_ts
+	$(keepalive) ninja $(CR_VERBOSE) -j$(njobs) -C out/Release chrome chrome_sandbox content_shell chromedriver headless_shell
 	cp out/Release/chrome out/Release/chromium
 	cp out/Release/content_shell out/Release/chromium-shell
 	cp out/Release/headless_shell out/Release/chromium-headless-shell
